## r-cran-fnn 1.1.2.2

=== DESCRIPTION ===
Package: FNN
Version: 1.1.2.2
Date: 2018-12-10
Title: Fast Nearest Neighbor Search Algorithms and Applications
Author: Alina Beygelzimer, Sham Kakadet and John Langford (cover tree library), 
        Sunil Arya and David Mount (ANN library 1.1.2 for the kd-tree approach), Shengqiao Li
Copyright: ANN Copyright (c) 1997-2010 University of Maryland and Sunil
        Arya and David Mount. All Rights Reserved.
Maintainer: ORPHANED
Depends: R (>= 3.0.0)
Suggests: chemometrics, mvtnorm
Description: Cover-tree and kd-tree fast k-nearest neighbor search algorithms and related applications
        including KNN classification, regression and information measures are implemented.
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2018-12-10 17:51:18 UTC; ripley
Repository: CRAN
Date/Publication: 2018-12-10 17:53:53 UTC
X-CRAN-Original-Maintainer: Shengqiao Li <lishengqiao@yahoo.com>
X-CRAN-Comment: Orphaned on 2018-08-10 as C++ issues were not corrected
        since 2017 despite reminders.

=== debian/changelog ===
r-cran-fnn (1.1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Dec 2018 12:01:36 +0100

r-cran-fnn (1.1.2.1-1) unstable; urgency=medium

  * Initial release (closes: #915016)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Nov 2018 22:09:40 +0100

=== debian/control ===
Source: r-cran-fnn
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fnn
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fnn.git
Homepage: https://cran.r-project.org/package=FNN

Package: r-cran-fnn
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast nearest neighbor search algorithms and applications
 Cover-tree and kd-tree fast k-nearest neighbor search algorithms and
 related applications including KNN classification, regression and
 information measures are implemented.

## r-cran-fnn 1.1.3

=== DESCRIPTION ===
Package: FNN
Version: 1.1.3
Date: 2019-02-15
Title: Fast Nearest Neighbor Search Algorithms and Applications
Author: Alina Beygelzimer, Sham Kakadet and John Langford (cover tree library), 
        Sunil Arya and David Mount (ANN library 1.1.2 for the kd-tree approach), Shengqiao Li
Copyright: ANN Copyright (c) 1997-2010 University of Maryland and Sunil
        Arya and David Mount. All Rights Reserved.
Maintainer: Shengqiao Li <lishengqiao@yahoo.com>
Depends: R (>= 3.0.0)
Suggests: chemometrics, mvtnorm
Description: Cover-tree and kd-tree fast k-nearest neighbor search algorithms and related applications
        including KNN classification, regression and information measures are implemented.
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2019-02-15 20:07:07 UTC; Lion
Repository: CRAN
Date/Publication: 2019-02-15 23:20:03 UTC

=== debian/changelog ===
r-cran-fnn (1.1.3-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 15:34:09 +0200

r-cran-fnn (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 08:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fnn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fnn.git
 Homepage: https://cran.r-project.org/package=FNN
+Rules-Requires-Root: no
 
 Package: r-cran-fnn
 Architecture: any

## r-cran-fnn 1.1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: FNN
-Version: 1.1.3
+Version: 1.1.3.1
 Date: 2019-02-15
 Title: Fast Nearest Neighbor Search Algorithms and Applications
 Author: Alina Beygelzimer, Sham Kakadet and John Langford (cover tree library), 
@@ -13,6 +13,6 @@
         including KNN classification, regression and information measures are implemented.
 License: GPL (>= 2)
 NeedsCompilation: yes
-Packaged: 2019-02-15 20:07:07 UTC; Lion
+Packaged: 2022-05-23 08:06:10 UTC; hornik
 Repository: CRAN
-Date/Publication: 2019-02-15 23:20:03 UTC
+Date/Publication: 2022-05-23 08:27:42 UTC

=== debian/changelog ===
r-cran-fnn (1.1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2022 23:12:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-fnn
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fnn
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fnn.git
+Homepage: https://cran.r-project.org/package=FNN
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fnn
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fnn.git
-Homepage: https://cran.r-project.org/package=FNN
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fnn
 Architecture: any

## r-cran-fnn 1.1.3.2

=== debian/changelog ===
r-cran-fnn (1.1.3.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2023 21:39:23 +0200

## r-cran-fnn 1.1.4

=== DESCRIPTION ===
Package: FNN
Version: 1.1.4
Date: 2023-12-31
Title: Fast Nearest Neighbor Search Algorithms and Applications
Author: Alina Beygelzimer, Sham Kakadet and John Langford (cover tree library), 
        Sunil Arya and David Mount (ANN library 1.1.2 for the kd-tree approach), Shengqiao Li
Copyright: ANN Copyright (c) 1997-2010 University of Maryland and Sunil
        Arya and David Mount. All Rights Reserved.
Maintainer: Shengqiao Li <lishengqiao@yahoo.com>
Depends: R (>= 4.0.0)
Suggests: chemometrics, mvtnorm
Description: Cover-tree and kd-tree fast k-nearest neighbor search algorithms and related applications
        including KNN classification, regression and information measures are implemented.
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2024-01-11 06:38:55 UTC; Lion
Repository: CRAN
Date/Publication: 2024-01-12 16:40:08 UTC

=== debian/changelog ===
r-cran-fnn (1.1.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 14:47:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fnn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fnn.git
 Homepage: https://cran.r-project.org/package=FNN
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-fnn 1.1.4.1

=== DESCRIPTION ===
Package: FNN
Version: 1.1.4.1
Date: 2023-12-31
Title: Fast Nearest Neighbor Search Algorithms and Applications
Authors@R: c(person("Alina", "Beygelzimer", role = "aut",
                    comment = "cover tree library"),
             person("Sham", "Kakadet", role = "aut",
	             comment = "cover tree library"),
	     person("John", "Langford", role = "aut",
	            comment = "cover tree library"), 
             person("Sunil", "Arya", role = "aut",
	            comment = "ANN library 1.1.2 for the kd-tree approach"),
             person("David", "Mount", role = "aut",
	            comment = "ANN library 1.1.2 for the kd-tree approach"),
             person("Shengqiao", "Li", role = c("aut", "cre"),
	            email = "lishengqiao@yahoo.com"))
Copyright: ANN Copyright (c) 1997-2010 University of Maryland and Sunil
        Arya and David Mount. All Rights Reserved.
Depends: R (>= 4.0.0)
Suggests: chemometrics, mvtnorm
Description: Cover-tree and kd-tree fast k-nearest neighbor search algorithms and related applications
        including KNN classification, regression and information measures are implemented.
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2024-09-22 07:57:30 UTC; hornik
Repository: CRAN
Date/Publication: 2024-09-22 08:24:48 UTC
Author: Alina Beygelzimer [aut] (cover tree library),
  Sham Kakadet [aut] (cover tree library),
  John Langford [aut] (cover tree library),
  Sunil Arya [aut] (ANN library 1.1.2 for the kd-tree approach),
  David Mount [aut] (ANN library 1.1.2 for the kd-tree approach),
  Shengqiao Li [aut, cre]
Maintainer: Shengqiao Li <lishengqiao@yahoo.com>

=== debian/changelog ===
r-cran-fnn (1.1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 30 Sep 2024 09:21:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fnn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fnn.git
 Homepage: https://cran.r-project.org/package=FNN
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/FNN_([-\d.]*)\.tar\.gz
